EDIT - bug #9746

Remove excluded and unplaced flags from right click menu
09/06/2021 08:30 AM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.27

Severity: normal Found in Version:

Description

The flags unplaced and excluded need more informations therefore it is does not make sense to have it in the right click menu, we
should remove it and keep only the doubtful flag.

We also remove the doubtful flag to avoid confusions beause of the doubtful flag of the taxon.

Associated revisions

Revision dc7a943c - 09/06/2021 10:21 AM - Katja Luther

fix #9746: remove unplaced and excluded from right click menu of navigator

Revision 32854562 - 09/20/2021 09:19 AM - Katja Luther

remove flag handler from fragment.e4xmi

Revision faf98509 - 09/20/2021 01:56 PM - Katja Luther

ref #9746: also remove doubtful menu entry

History

#1 - 09/06/2021 10:31 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|dc7a943c33e9a733dbf51ba7e86eafd1d7ff2ec?.

#2 - 09/06/2021 10:33 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

Please review. | also fixed the refresh problem, so now the menu should show set/remove menu item correctly immediately after changing the status.

#3 - 09/09/2021 10:16 AM - Andreas Miiller
- File picture920-1.png added
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

The menu still shows the menu entries but disabled:
3

4 Setze Doubtful Flag

Setze Unplaced Flag

Entferne Unplaced Flag

Setze Excluded Flag =

‘age, 01 Entferne Excluded Flag

#4 - 09/09/2021 10:24 AM - Andreas Miiller

Related to this ticket: if the doubtful flag is set in the taxon node dialogue the navigator seems not to be refreshed (no "?" before taxon label). Also the
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/dc7a943c33e9a733dbf51ba7e86eaf91d7ff2ec2

context menu is not adapted in this case (still "set doubtful flag" is visible instead "removed doubtful flag").

Generally | wonder if we need this flag setting at all. Also because the status annotation can not be edited this way. See separate mail.

#5 - 09/20/2021 01:49 PM - Katja Luther

- Description updated

#6 - 09/20/2021 03:49 PM - Andreas Miiller
- Status changed from Feedback to Closed
- % Done changed from 50 to 100

Seems to be fully fixed now.

#7 - 09/21/2021 02:11 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.27

Files
picture920-1.png 3.17 KB 09/09/2021 Andreas Miller
04/18/2024 2/2


http://www.tcpdf.org

